Subject: (non-)essential Packages information

From: [email-masked]
Date: Tue, 16 Jul 1996 10:11:50 +0200 (MET DST)

Hi,

I suggest that the Packages information is split in two files for each
specific distribution-method of the distribution.  And by
distribution-method of the distrib I mean binary-i386, msdos-i386,
binary-m68k and newly to be created floppy-i386-1440, floppy-i386-1220 &c.

I suggest that the Packages information is split up into an essential part
and a non essential part.  Essential part is of course the name, version,
section, dependencies (&c) and perhaps the first line of the description. 
As non-essential can be considered the fields suggest, maintainer and the
(extended) description.

The essential Packages information should go in Packages.map and the non
essential Packages information should go in Packages.txt (or whatever).

* The information in Packages.map is specific for the distribution-method:

  For normal binary-* parts one doesn't need the msdos name and a list where
  the package parts are located on floppy.

  For msdos-* parts one does need the msdos name but doesn't need the list
  where package parts are located on floppy.

  For floppy-* parts one need the number of parts in which is floppy is split
  up and the floppy disk number where these specific parts went.  The
  placement of these parts is different for each different floppy size.

* The information in Packages.txt is not specific for the
  distribution-method (so this info can be symlinked):

  This part of the information can also be internationalized, which shoul
  probably reflected in the extension of the file.

This will:
- reduce the number of bytes needed to get up to date package information.
This might:
- convince Ian J. to add an option to dselect in which extended description
  can be switched of, which might speed up dselect a little because the
  extended description information doesn't need to be handled. I don't know
  very much about this but I can imagine that it consumes quite a lot of
  memory and I have only 8 megs and people exist out there with only 4 megs.

Erick

"Unix: 30 definitions of regular expressions living under one roof"
                                                                D.E. Knuth
Erick Branderhorst  http://www.iaehv.nl/users/branderh/